using System;

internal sealed class Delegate639 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate639 delegate639_1)
	{
		return delegate639_1(object_0);
	}

	public extern Delegate639(object object_0, IntPtr intptr_0);

	static Delegate639()
	{
		Class10.smethod_13(typeof(Delegate639).TypeHandle);
	}

	internal static Delegate639 delegate639_0;
}
